Issue #9228 has been updated by drbrain (Eric Hodel).

Backport changed from 1.9.3: UNKNOWN, 2.0.0: UNKNOWN to 1.9.3: DONTNEED, 2.0.0: REQUIRED

This is only required in part for Ruby 2.0.0, ext/syslog/lib exists in ruby_2_0_0 branch but ext/thread/thread.c does not.
----------------------------------------
Bug #9228: rdoc can't generate documentation for ext/thread/thread.c on trunk
https://bugs.ruby-lang.org/issues/9228#change-43523

Author: ktsj (Kazuki Tsujimoto)
Status: Closed
Priority: Normal
Assignee: drbrain (Eric Hodel)
Category: 
Target version: current: 2.1.0
ruby -v: ruby 2.1.0dev (2013-12-08 trunk 44065) [x86_64-linux]
Backport: 1.9.3: DONTNEED, 2.0.0: REQUIRED


=begin
 $ rm -rf .ext/rdoc
 $ make rdoc
 $ ls -d .ext/rdoc/Queue
 ls: cannot access .ext/rdoc/Queue: No such file or directory

When "ext/thread/thread.c" is specified as rdoc command option, it works.

 $ ./miniruby -I./lib -I. -I.ext/common ./tool/runruby.rb --extout=.ext -- \
     --disable-gems "./bin/rdoc" --root "." --page-dir "./doc" --encoding=UTF-8 \
     --no-force-update --all --ri --op ".ext/rdoc" --debug ext/thread/thread.c
 $ ls -d .ext/rdoc/Queue
 .ext/rdoc/Queue
=end



-- 
http://bugs.ruby-lang.org/